summaryrefslogtreecommitdiff
path: root/linux/deb/fs-hello-kamal/package/DEBIAN/preinst
diff options
context:
space:
mode:
authorKamal Wickramanayake <kamal@inbox.lk>2026-05-23 14:45:05 +0530
committerKamal Wickramanayake <kamal@inbox.lk>2026-05-23 14:45:05 +0530
commitfe8b0606b434bb17f870cf9e6ba473c2ef39ca1f (patch)
treeda76e9376de7f0e1b74d47e0f439345be1025503 /linux/deb/fs-hello-kamal/package/DEBIAN/preinst
parentbef7e64a134b0c3bd7bf9c3175b8a3817c3b9eb7 (diff)
Added a simple deb file creation sample project to linux/deb directory
Diffstat (limited to 'linux/deb/fs-hello-kamal/package/DEBIAN/preinst')
-rwxr-xr-xlinux/deb/fs-hello-kamal/package/DEBIAN/preinst8
1 files changed, 8 insertions, 0 deletions
diff --git a/linux/deb/fs-hello-kamal/package/DEBIAN/preinst b/linux/deb/fs-hello-kamal/package/DEBIAN/preinst
new file mode 100755
index 0000000..61c2587
--- /dev/null
+++ b/linux/deb/fs-hello-kamal/package/DEBIAN/preinst
@@ -0,0 +1,8 @@
+#!/bin/bash
+
+set -e
+
+# Put commands that should execute before the pckage is installed.
+
+# Example: Just print a message
+echo "preinst script running..."